package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.DF;
import com.sa.ibiz.demo.demo.service.dto.DFSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface DFMapper extends BaseMapper<DF>{
    @CacheEvict( value="entity",key = "'DF:'+#p0.dfid")
    void updateOne(@Param("df") DF df);
    List<DF> searchDefault(@Param("srf") DFSearchFilter searchfilter,@Param("ew") Wrapper<DF> wrapper) ;
    Page<DF> searchDefault(IPage page, @Param("srf") DFSearchFilter searchfilter, @Param("ew") Wrapper<DF> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'DF:'+#p0")
    DF selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'DF:'+#p0.dfid")
    int updateById(@Param(Constants.ENTITY) DF entity);
    @Override
    @CacheEvict( value="entity",key = "'DF:'+#p0.dfid")
    int insert(DF entity);
    @Override
    @CacheEvict( value="entity",key = "'DF:'+#p0")
    int deleteById(Serializable id);
}